QT       += core gui charts xml network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

DEFINES += QAPPLICATION_CLASS=QApplication

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    common/singleapp/singleapplication.cpp \
    common/singleapp/singleapplication_p.cpp \
    main.cpp \
    mainobject.cpp \
    common/global.cpp \
    ui/additional/additionalwidget.cpp \
    ui/additional/popupmenu.cpp \
    ui/common/ctextedit.cpp \
    ui/common/framelesswindow/framelesswindow.cpp \
    ui/chart/average/averagechart.cpp \
    ui/chart/average/averagechartpanel.cpp \
    ui/chart/chartpanel.cpp \
    ui/chart/instant/instantchart.cpp \
    ui/chart/instant/instantchartpanel.cpp \
    ui/chart/pie/piechart.cpp   \
    ui/common/funcbuttonwidget.cpp \
    ui/common/funcwidget1.cpp \
    ui/common/logwidget/logwidget.cpp \
    ui/common/stackedwidget/cstackedwidget.cpp \
    ui/camera/bwidget.cpp \
    ui/camera/camerabox.cpp \
    ui/camera/cameradisplay.cpp \
    ui/camera/camerapanel.cpp \
    ui/camera/cameraparam.cpp \
    ui/camera/awidget.cpp  \
    ui/common/tablewidget/tablewidget.cpp \
    ui/login/logininfo.cpp \
    ui/progresswaitwidget/colorprogressbar.cpp  \
    ui/common/iconhelper.cpp \
    ui/xmltree/treewidget.cpp   \
    ui/mainwindow.cpp \
    ui/common/messagebox/cmessagebox.cpp \
    ui/common/wordartwidget.cpp \
    ui/login/loginwidget.cpp \
    ui/progresswaitwidget/setupwaitprogressbar.cpp \
    ui/sidepanel.cpp

HEADERS += \
    common/singleapp/singleapplication.h \
    common/singleapp/singleapplication_p.h \
    mainobject.h \
    common/global.h \
    ui/additional/additionalwidget.h \
    ui/additional/popupmenu.h \
    ui/common/ctextedit.h \
    ui/common/funcbuttonwidget.h \
    ui/common/funcwidget1.h \
    ui/common/iconhelper.h \
    ui/common/framelesswindow/framelesswindow.h \
    ui/chart/average/averagechart.h \
    ui/chart/average/averagechartpanel.h \
    ui/chart/chartpanel.h \
    ui/chart/instant/instantchart.h \
    ui/chart/instant/instantchartpanel.h \
    ui/chart/pie/piechart.h \
    ui/common/logwidget/logwidget.h \
    ui/common/stackedwidget/cstackedwidget.h \
    ui/camera/bwidget.h \
    ui/camera/camerabox.h \
    ui/camera/cameradisplay.h \
    ui/camera/camerapanel.h \
    ui/camera/cameraparam.h \
    ui/camera/awidget.h    \
    ui/common/tablewidget/tablewidget.h \
    ui/login/logininfo.h \
    ui/mainwindow.h \
    ui/common/messagebox/cmessagebox.h \
    ui/common/wordartwidget.h \
    ui/login/loginwidget.h \
    ui/progresswaitwidget/colorprogressbar.h \
    ui/progresswaitwidget/setupwaitprogressbar.h \
    ui/sidepanel.h \
    ui/xmltree/treewidget.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH +=  \
    $$PWD/common  \
    $$PWD/common/singleapp  \
    $$PWD/ui  \
    $$PWD/ui/common  \
    $$PWD/ui/common/messagebox  \
    $$PWD/ui/common/logwidget  \
    $$PWD/ui/common/framelesswindow  \
    $$PWD/ui/common/stackedwidget  \
    $$PWD/ui/common/tablewidget  \
    $$PWD/ui/chart  \
    $$PWD/ui/chart/average  \
    $$PWD/ui/chart/instant  \
    $$PWD/ui/chart/pie  \
    $$PWD/ui/camera  \
    $$PWD/ui/login  \
    $$PWD/ui/progresswaitwidget  \
    $$PWD/ui/xmltree  \
    $$PWD/ui/additional  \
    $$PWD/../frameless  \


LIBS += \
    -L"$$PWD/../dependencies/frameless/lib" -lframeless    \

DESTDIR = bin

RESOURCES += \
    fancydemo.qrc

QMAKE_CXXFLAGS +=/utf-8

win32 {
    msvc:LIBS += Advapi32.lib User32.lib
    gcc:LIBS += -ladvapi32
}


